Description

In order to show BIOS facts in HOST_DETAILS of the selected host the data needs to be stored as a reported data facet.

Associated revisions

Revision d559505b - 11/03/2022 10:48 AM - Maria Agaphontzev

Fixes #35696 - add bios info to reported data facet

History

#1 - 10/31/2022 05:59 PM - Ewoud Kohl van Wijngaarden

Note that facts can widely vary, depending on the source. We have reported data, which is a normalized version of it. That makes it reliable to use in

the UI and is part of the API. See #35619 as well for how a kernel_version fact was added and then consumed in #35622.

#2 - 11/02/2022 09:19 AM - Karolína Małyjurková

Thank you for your response. However, we would like to merge PR #35667 by the end of the next week, and I think your resolve would need

someone else to do it. Is the way I approach it not suitable?

#3 - 11/02/2022 09:44 AM - Ewoud Kohl van Wijngaarden

No, facts are too different. Depending on the fact source it can be reported with a very different name and it's very unpredictable. We really need to

normalize it into reported data first.

#4 - 11/02/2022 12:44 PM - Karolína Małyjurková

Sure, thank you for your help.

#5 - 11/02/2022 02:02 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9497 added

#6 - 11/03/2022 10:48 AM - The Foreman Bot

- Fixed in Releases 3.5.0 added

#7 - 11/03/2022 10:59 AM - Ewoud Kohl van Wijngaarden

- Subject changed from Add facts to the host API to Add BIOS info to reported data facet

- Description updated

#8 - 11/03/2022 11:02 AM - Maria Agaphontzev

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|d559505b68f5461593ecb945f602a7925f260179.

05/18/2024 1/2

https://projects.theforeman.org/issues/35619
https://projects.theforeman.org/issues/35622
https://projects.theforeman.org/issues/35667
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/d559505b68f5461593ecb945f602a7925f260179


#9 - 11/28/2022 12:15 PM - Ewoud Kohl van Wijngaarden

- Category changed from API to Facts

- Triaged changed from No to Yes
